import { lspDiagnosticToViteError } from 'vite-plugin-checker';
import { PublishDiagnosticsParams } from 'vscode-languageclient/node';
import { Diagnostic } from 'vscode-languageserver/node';
export declare type LogLevel = typeof logLevels[number];
export declare const logLevels: readonly ["ERROR", "WARN", "INFO", "HINT"];
export interface DiagnosticOptions {
    watch: boolean;
    verbose: boolean;
    errorCallback?: (diagnostic: PublishDiagnosticsParams, viteError: ReturnType<typeof lspDiagnosticToViteError>) => void;
}
export declare function diagnostics(workspace: string | null, logLevel: LogLevel, options?: DiagnosticOptions): Promise<void>;
export declare function prettyDiagnosticsLog({ diagnostics, fileText, absFilePath, doLog, showNoError, }: {
    diagnostics: Diagnostic[];
    fileText: string;
    absFilePath: string;
    /** does log to terminal */
    doLog?: boolean;
    showNoError?: boolean;
}): string;
//# sourceMappingURL=diagnostics.d.ts.map