import { InitializeParams } from 'vscode-languageserver-protocol';
import { URI } from 'vscode-uri';
export declare function getInitParams(workspaceUri: URI): InitializeParams;
export declare function getDefaultVLSConfig(): {
    vetur: {
        useWorkspaceDependencies: boolean;
        validation: {
            template: boolean;
            templateProps: boolean;
            interpolation: boolean;
            style: boolean;
            script: boolean;
        };
        completion: {
            autoImport: boolean;
            tagCasing: string;
            scaffoldSnippetSources: {
                workspace: string;
                user: string;
                vetur: string;
            };
        };
        grammar: {
            customBlocks: {};
        };
        format: {
            enable: boolean;
            options: {
                tabSize: number;
                useTabs: boolean;
            };
            defaultFormatter: {};
            defaultFormatterOptions: {};
            scriptInitialIndent: boolean;
            styleInitialIndent: boolean;
        };
        languageFeatures: {
            codeActions: boolean;
        };
        trace: {
            server: string;
        };
        dev: {
            vlsPath: string;
            vlsPort: number;
            logLevel: string;
        };
        experimental: {
            templateInterpolationService: boolean;
        };
    };
    css: {};
    html: {
        suggest: {};
    };
    javascript: {
        format: {};
    };
    typescript: {
        tsdk: null;
        format: {};
    };
    emmet: {};
    stylusSupremacy: {};
};
//# sourceMappingURL=initParams.d.ts.map